Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.SubmitFormAction Class Reference
Inheritance diagram for FSDK.SubmitFormAction:

## Public Member Functions
| constructor (action)
| Constructor, with parent class object. More...
| GetFieldNames ()
| Get all field names from the array in current submit form action. More...
| GetFlags ()
| Get the flag value used for submission. More...
| GetURL ()
| Get the URI string of the script at the Web server that will process the submission. More...
| SetFieldNames (field_names)
| Set field name array. More...
| SetFlags (flags)
| Set the flag value used for submission. More...
| SetURL (url)
| Set the URI string of the script at the Web server that will process the submission. More...
Public Member Functions inherited from FSDK.Action
| constructor (document, action_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get PDF dictionary of current object. More...
| GetDocument ()
| Get the PDF document, to which current action belongs. More...
| GetSubAction (index)
| Get a sub-action by index. More...
| GetSubActionCount ()
| Get the count of sub-actions. More...
| GetType ()
| Get action type. More...
| InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAllSubActions ()
| Remove all the sub-actions. More...
| RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
| SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Static Public Attributes
static | e_FlagAsXFDF
| Bit 6. Field names and values are submitted as XFDF.
static | e_FlagCanonicalFormat
| Bit 10. Any submitted field values representing dates are converted to the standard format.
static | e_FlagEmbedForm
| Bit 14. "F" entry of submitted FDF is an embedded file stream.
static | e_FlagExclFKey
| Bit 12. Submitted FDF excludes "F" entry.
static | e_FlagExclNonUserAnnots
| Bit 11. Only those markup annotations whose "T" entry matches the name of the current user are being submitted.
static | e_FlagExclude
| Enumeration for flags of submit form action. More...
static | e_FlagExportFormat
| Bit 3. Field names and values are submitted in HTML Form format. More...
static | e_FlagGetMethod
| Bit 4. Field names and values are submitted using an HTTP GET request. More...
static | e_FlagIncludeAnnotations
| Bit 8. Submitted FDF file includes all markup annotations in underlying PDF document. More...
static | e_FlagIncludeAppendSaves
| Bit 7. Submitted FDF file includes contents as contained in differences entry in the FDF dictionary. More...
static | e_FlagIncludeNoValueFields
| Bit 2. Submit fields regardless of whether they have a value. More...
static | e_FlagSubmitAsPDF
| Bit 9. The document is submitted as PDF.
static | e_FlagWithCoordinates
| Bit 5. Coordinates of the mouse are transmitted as part of the form data.
Static Public Attributes inherited from FSDK.Action
static | e_NewWindowFlagFalse
| Enumeration for new window flag. More...
static | e_NewWindowFlagNone
| No "NewWindow" flag.
static | e_NewWindowFlagTrue
| "NewWindow" flag is true.
static | e_TypeGoto
| Action type: go-to action.
static | e_TypeGoTo3DView
| Action type: go-to-3D-view action.
static | e_TypeGoToE
| Action type: embedded go-to action.
static | e_TypeGoToR
| Action type: remote go-to action.
static | e_TypeHide
| Action type: hide action.
static | e_TypeImportData
| Action type: import-data action.
static | e_TypeJavaScript
| Action type: JavaScript action.
static | e_TypeLaunch
| Action type: launch action.
static | e_TypeMovie
| Action type: movie action.
static | e_TypeNamed
| Action type: named action.
static | e_TypeRendition
| Action type: rendition action.
static | e_TypeResetForm
| Action type: reset-form action.
static | e_TypeSetOCGState
| Action type: set-OCG-state action.
static | e_TypeSound
| Action type: sound action.
static | e_TypeSubmitForm
| Action type: submit-form action.
static | e_TypeThread
| Action type: thread action.
static | e_TypeTrans
| Action type: transition action.
static | e_TypeUnknown
| Enumeration for action type. More...
static | e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Additional Inherited Members
Static Public Member Functions inherited from FSDK.Action
static | Create (document, action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Submit-form action is to send data to a uniform resource locator. Class FSDK.SubmitFormAction is derived from FSDK.Action and offers functions to get/set submit-form action data.

See also
  FSDK.Action

## Member Function Documentation

## ◆ constructor()

FSDK.SubmitFormAction.constructor | ( | action |  | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## ◆ GetFieldNames()

FSDK.SubmitFormAction.GetFieldNames | ( |  | ) |

Get all field names from the array in current submit form action.

A submit form action can have an array identifying which fields to include in the submission or which to exclude, depending on the flag value.

Returns
  An array of field names.

## ◆ GetFlags()

FSDK.SubmitFormAction.GetFlags | ( |  | ) |

Get the flag value used for submission.

Returns
  Flag value. Please refer to values starting from FSDK.SubmitFormAction.e_FlagExclude and this would be one or a combination of these values. 0 means all bits in the flag are 0.

## ◆ GetURL()

FSDK.SubmitFormAction.GetURL | ( |  | ) |

Get the URI string of the script at the Web server that will process the submission.

Returns
  URI string.

## ◆ SetFieldNames()

FSDK.SubmitFormAction.SetFieldNames | ( | field_names |  | ) |

Set field name array.

A submit form action can have an array identifying which fields to include in the submission or which to exclude, depending on the flag value.

Parameters

  [in] | field_names | An array of form fields' names, to identify which fields to include in or exclude from submission. This parameter can be an empty array. Field name can be retrieved by function FSDK.Field.GetName.

Returns
  None.

## ◆ SetFlags()

FSDK.SubmitFormAction.SetFlags | ( | flags |  | ) |

Set the flag value used for submission.

Parameters

  [in] | flags | New flag value. Please refer to values starting from FSDK.SubmitFormAction.e_FlagExclude and this can be one or a combination of these values It could also be 0, which means all bits in the flag are 0.

Returns
  None.

## ◆ SetURL()

FSDK.SubmitFormAction.SetURL | ( | url |  | ) |

Set the URI string of the script at the Web server that will process the submission.

Parameters

  [in] | url | URI string. It should not be an empty string.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagExclude

FSDK.SubmitFormAction.e_FlagExclude
| static

Enumeration for flags of submit form action.

Values of this enumeration could be used alone or in a combination.

Bit 1. If set, fields name defined in submit form action should be excluded from submitting; if not set, only these fields name (including their descendants) are to be submit.

## ◆ e_FlagExportFormat

FSDK.SubmitFormAction.e_FlagExportFormat
| static

Bit 3. Field names and values are submitted in HTML Form format.

Note
  Meaningful only if flags FSDK.SubmitFormAction.e_FlagAsXFDF and FSDK.SubmitFormAction.e_FlagSubmitAsPDF are clear.
  If this flag is clear, that means to submit in Forms Data Format (FDF).

## ◆ e_FlagGetMethod

FSDK.SubmitFormAction.e_FlagGetMethod
| static

Bit 4. Field names and values are submitted using an HTTP GET request.

Note
  Meaningful only when flag FSDK.SubmitFormAction.e_FlagExportFormat is set. If this flag is clear, that means to submit using a POST request.

## ◆ e_FlagIncludeAnnotations

FSDK.SubmitFormAction.e_FlagIncludeAnnotations
| static

Bit 8. Submitted FDF file includes all markup annotations in underlying PDF document.

Note
  Meaningful only when the form is being submitted in Forms Data Format.

## ◆ e_FlagIncludeAppendSaves

FSDK.SubmitFormAction.e_FlagIncludeAppendSaves
| static

Bit 7. Submitted FDF file includes contents as contained in differences entry in the FDF dictionary.

Note
  Meaningful only when the form is being submitted in Forms Data Format.

## ◆ e_FlagIncludeNoValueFields

FSDK.SubmitFormAction.e_FlagIncludeNoValueFields
| static

Bit 2. Submit fields regardless of whether they have a value.

Note
  For fields without a value, only the field name is transmitted.